Loading...
Searching...
No Matches
Opm::NullSolidEnergyLaw< ScalarT > Class Template Reference

Implements a solid energy storage law which just returns 0. More...

`#include <NullSolidEnergyLaw.hpp>`

## Public Types

using | Params = int
using | Scalar = ScalarT

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | solidInternalEnergy (const Params &, const FluidState &)
| Given a fluid state, compute the volumetric internal energy of the solid matrix [W/m^3].

## Detailed Description

template<class ScalarT>
class Opm::NullSolidEnergyLaw< ScalarT >

Implements a solid energy storage law which just returns 0.

## Member Function Documentation

## solidInternalEnergy()

template<class ScalarT>
template<class FluidState, class Evaluation = typename FluidState::Scalar>

Evaluation Opm::NullSolidEnergyLaw< ScalarT >::solidInternalEnergy | ( | const Params & | ,
|  | const FluidState & | )

inline static

Given a fluid state, compute the volumetric internal energy of the solid matrix [W/m^3].

This solid energy law simply returns 0.

The documentation for this class was generated from the following file:

- opm/material/thermal/NullSolidEnergyLaw.hpp